/*============================================================================

                        PVK40 & AVR4PVK Example : Wire

 Compiler/IDE : WinAVR

 Processor : ATMEGA64
 Clock : XT 14.74560 MHz

 Processor fuse bits:
  CKOPT: XT up to 16MHz, rail-to-rail
  SUT, CKSET: XT 3.0-8.0MHz, 16Kck + 65ms
  JTAGEN: Enabled
  M103C: Normal Mode

 Please set the DIP switches on your PVK40 board the following way:
 1) Switch off all DIP switches except:
 2) Switch on B3 LED on S11

============================================================================*/


/*
   Includes
*/
#include <avr/io.h>



/* ==========================================================================
   User definitions
*/
#define BUTTON_DDR     DDRC
#define BUTTON_PIN     PINC
#define BUTTON_BIT     0

#define LED_DDR        DDRA
#define LED_PORT       PORTA
#define LED_BIT        3



/* ==========================================================================
   Main function
*/
int main (void) {
  BUTTON_DDR &= ~_BV(BUTTON_BIT);
  LED_DDR |= _BV(LED_BIT);

   //endless program loop
  for(;;) {
    if (BUTTON_PIN & _BV(BUTTON_BIT))                 /* test button */
      LED_PORT &= ~_BV(LED_BIT);                      /* turn LED off */
    else
      LED_PORT |= _BV(LED_BIT);                       /* turn LED on */
  }
}


